<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatImageView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:scaleType="fitXY"
        app:layout_constraintBottom_toBottomOf="@id/cl_top"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/bg_junk_clean" />


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent">


        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/ivBack"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_8"
            android:padding="@dimen/dp_8"
            android:src="@drawable/icon_return_w"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="@dimen/dp_8"
            android:text="@string/quick_clean"
            android:textColor="@color/white"
            android:textSize="20sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@id/ivBack"
            app:layout_constraintStart_toEndOf="@id/ivBack"
            app:layout_constraintTop_toTopOf="@id/ivBack" />

        <androidx.viewpager2.widget.ViewPager2
            android:id="@+id/viewPager2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toBottomOf="@id/ivBack"
            tools:layout_height="@dimen/dp_300" />

        <com.zhpan.indicator.IndicatorView
            android:id="@+id/indicator"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_4"
            android:visibility="invisible"
            android:layout_marginBottom="@dimen/dp_38"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/viewPager2" />

    </androidx.constraintlayout.widget.ConstraintLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp__30"
        android:background="@drawable/bg_f2f4f5_tlr24"
        android:orientation="vertical"
        android:visibility="visible"
        app:layout_constraintBottom_toTopOf="@id/tv_clean"
        app:layout_constraintTop_toBottomOf="@id/cl_top"
        tools:ignore="SpeakableTextPresentCheck">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_24"
            android:layout_marginTop="@dimen/dp_20"
            android:text="@string/clean_tips" />

        <pokercc.android.expandablerecyclerview.ExpandableRecyclerView
            android:id="@+id/expandable_files"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginBottom="@dimen/dp_12"
            android:layout_weight="1"
            android:background="@color/transparent"
            android:overScrollMode="never"
            android:scrollbars="none"
            tools:ignore="SpeakableTextPresentCheck" />
    </LinearLayout>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_clean"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="30dp"
        android:layout_marginBottom="30dp"
        android:background="@drawable/bg_btn_enable_50"
        android:gravity="center"
        android:paddingVertical="12dp"
        android:text="@string/clean"
        android:textColor="@color/colorPrimary"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="parent"
        tools:ignore="TextContrastCheck"
        tools:layout_editor_absoluteX="30dp" />

    <include
        android:id="@+id/layout_animation"
        layout="@layout/layout_animation_2"
        android:visibility="gone" />

</androidx.constraintlayout.widget.ConstraintLayout>